<?php
 ##################################################################
 ## Development by CoMMoN web site author http://mirmastera.ru   ##
 ## fportal web site scripts http://fportal.tk                   ##
 ## All rights reserved authors                                  ##
 ##################################################################

if (!is_user()) {header('Location: /');} //Переадресация гостей
if (!is_admin(array(2,3,4))) {header('Location: /');} //Переадресация пользователей не являющихся админами
//Ещё одна проверка прав (на всякий случай)
if (is_admin(array(2,3,4))) {

if (isset($_POST['admpanel']))
{
	$admpanel = filtr($_POST['admpanel']);
	$cookie_set = setcookie ("admp", $admpanel, time()+60*60*24*30);
	$_SESSION["admpanel"] = $admpanel;
	header("Location: /?mod=system");
}


$mod_name = 'Админ-панель'; //Имя модуля
require_once(ROOT.'/kernel/kernelhead.php'); //Подключение шапки
echo '<div class="title">'.$mod_name.'</div>'; //Вывод заголовка
if($_SESSION['admpanel'] == 'simple'){
echo'<div class="menu">';
//Вывод ссылок
echo '<a class="touch" href="/?mod=system&amp;act=license">Информация о лицензии</a>';
echo '<a class="touch" href="/?mod=system&amp;act=settings">Настройки системы</a>';
echo '<a class="touch" href="/?mod=system&amp;act=ads_manager">Рекламный менеджер</a>';
echo '<a class="touch" href="/?mod=system&amp;act=smiles">Настройка смайлов</a>';
echo '<a class="touch" href="/?mod=system&amp;act=fileman">Файловый менеджер</a>';
echo'</div>';
echo '<div class="category"><b>Модули:</b> </div>';
echo'<div class="menu">';
echo'<a class="touch" href="/?mod=system&amp;act=modules">Список</a>
<a class="touch" href="/?mod=system&amp;act=modules&amp;do=install">Установка</a>';
echo'</div>';
}elseif($_SESSION['admpanel'] == 'full'){
echo'<div class="menu">';
echo '<a href="/?mod=system&amp;act=license" title="Информация о лицензии">'.admpanel('license.png').'</a> ';
echo '<a href="/?mod=system&amp;act=settings" title="Настройки системы">'.admpanel('settings.png').'</a> ';
echo '<a href="/?mod=system&amp;act=ads_manager" title="Рекламный менеджер">'.admpanel('adshop.png').'</a> ';

echo '<a href="/?mod=system&amp;act=smiles" title="Настройка смайлов">'.admpanel('smile.png').'</a> ';
echo '<a href="/?mod=system&amp;act=fileman" title="Файловый менеджер">'.admpanel('fileman.png').'</a> ';
echo'</div>';
echo '<div class="category"><b>Модули:</b> </div>';
echo'<div class="menu">';
echo'<a href="/?mod=system&amp;act=modules" title="Список">'.admpanel('modullist.png').'</a>
<a href="/?mod=system&amp;act=modules&amp;do=install" title="Установка">'.admpanel('modulinstall.png').'</a>';
echo'</div>';
}else{
echo'<div class="menu">';
//Вывод ссылок
echo '<a class="touch" href="/?mod=system&amp;act=license">Информация о лицензии</a>';
echo '<a class="touch" href="/?mod=system&amp;act=settings">Настройки системы</a>';
echo '<a class="touch" href="/?mod=system&amp;act=ads_manager">Рекламный менеджер</a>';
echo '<a class="touch" href="/?mod=system&amp;act=smiles">Настройка смайлов</a>';
echo '<a class="touch" href="/?mod=system&amp;act=fileman">Файловый менеджер</a>';
echo'</div>';
echo '<div class="category"><b>Модули:</b> </div>';
echo'<div class="menu">';
echo'<a class="touch" href="/?mod=system&amp;act=modules">Список</a>
<a class="touch" href="/?mod=system&amp;act=modules&amp;do=install">Установка</a>';
echo'</div>';
}
echo'<br/>'.$lng['admpanelversion'].' <form action="" method="post">
<select name="admpanel">
<option value="simple">Обычная строчная</option>
<option value="full">Полная с иконками</option>
</select><br/>
<input type="submit" name="" value="Сменить"/>
</form>';
echo'<hr/>';
echo'Внимание! Данная версия находится в тестовом режиме, если вы нашли какой то недочет или баг/ошибку, сообщите об этом разработчикам проекта ICQ@:968-704<br/>
Всегда свежие модули, плагины и прочее на <a href="http://mirmastera.ru">MirMastera.Ru</a> дополнительный сайта поддержки если не работает оф.сайт.';
require_once(ROOT.'/kernel/kernelfoot.php'); //Вывод ног
}//Конец проверки прав

?>
